Package edu.fiu.jtlex

# Enum ILingusticEvent.EventAspect

java.lang.Object
java.lang.Enum<ILingusticEvent.EventAspect>
edu.fiu.jtlex.ILingusticEvent.EventAspect

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<ILingusticEvent.EventAspect>`, `java.lang.constant.Constable`

Enclosing interface:
  ILingusticEvent

    public static enum ILingusticEvent.EventAspect
    extends java.lang.Enum<ILingusticEvent.EventAspect>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `CONTINUATION` |
  `CULMINATION` |
  `INITIATION` |
  `REINITIATION` |
  `TERMINATION` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static ILingusticEvent.EventAspect` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static ILingusticEvent.EventAspect[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INITIATION

    public static final ILingusticEvent.EventAspect INITIATION

  - ### REINITIATION

    public static final ILingusticEvent.EventAspect REINITIATION

  - ### TERMINATION

    public static final ILingusticEvent.EventAspect TERMINATION

  - ### CULMINATION

    public static final ILingusticEvent.EventAspect CULMINATION

  - ### CONTINUATION

    public static final ILingusticEvent.EventAspect CONTINUATION

- ## Method Details

  - ### values

    public static ILingusticEvent.EventAspect[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ILingusticEvent.EventAspect valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null